Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.portal
Class PanelProxy

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.widgets.portal.PanelProxy

    public class PanelProxy

extends JsObject

This is an internal class.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`PanelProxy()`
`PanelProxy(com.google.gwt.core.client.JavaScriptObject jsObj)`

Method Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.core.client.JavaScriptObject config)`
`com.google.gwt.user.client.Element` | `getEl()` Gets the proxy's element
`ExtElement` | `getGhost()` Returns the ghost element.
`Panel` | `getPanel()`
`ExtElement` | `getProxy()`
`void` | `hide()`
`void` | `moveProxy(com.google.gwt.user.client.Element parentNode)`
`void` | `moveProxy(com.google.gwt.user.client.Element parentNode, com.google.gwt.user.client.Element before)`
`void` | `show()`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PanelProxy

    public PanelProxy(com.google.gwt.core.client.JavaScriptObject jsObj)

### PanelProxy

    public PanelProxy()

Method Detail

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.core.client.JavaScriptObject config)

### getEl

    public com.google.gwt.user.client.Element getEl()

  Gets the proxy's element

  Returns:
    the The proxy's element

### getGhost

    public ExtElement getGhost()

  Returns the ghost element.

  Returns:
    the ghost element

### getPanel

    public Panel getPanel()

### getProxy

    public ExtElement getProxy()

### hide

    public void hide()

### show

    public void show()

### moveProxy

    public void moveProxy(com.google.gwt.user.client.Element parentNode)

### moveProxy

    public void moveProxy(com.google.gwt.user.client.Element parentNode,
                          com.google.gwt.user.client.Element before)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD